| Bsoft 2.0.5 Bernard's software package

Functions
bshow_image.tcl File Reference

Procedures for manipulating images in Bshow. More...

Go to the source code of this file.

## Functions
| setupImageMenu
| Menu for manipulating image files. More...
| switchImage
| Switches the images and slices. More...
| setImageType
| Sets the image type. More...
| fixType
| Switchs the sign convention for the data type. More...
| setOrigin
| Sets the image origin. More...
| setImageOrigin w t
| Sets the image origin. More...
| getOriginX c
| Gets the x origin in canvas coordinates. More...
| getOriginY c
| Gets the y origin in canvas coordinates. More...
| centerOrigin
| Centers the image origin with wrapping. More...
| zeroOrigin
| Shifts the image origin to zero {0,0,0} with wrapping. More...
| extractImage
| Extracts part of an image. More...
| cropImage
| Crops an image to a smaller size. More...
| Pad
| Pads an image to a larger size. More...
| padImage w
| Pads the image. More...
| modifyImage
| Invokes a dialog box with modifyable image parameters. More...
| modifyImage_and_DestroyWindow w
| Modifies the image. More...
| changeDataType datatype
| This chnages the data type. More...
| invertImage
| This inverts the image. More...
| Bin
| This invokes a dialog box with binning parameters. More...
| binImage w
| This inverts the image. More...
| Filter
| This invokes a dialog box with filter parameters. More...
| filterImage w
| This filters the image. More...
| Montage
| This invokes a dialog box with montage parameters. More...
| montageImage w
| Montages the image. More...
| unsetMontage
| drawMontageOverlay
| montageSelect x y
| saveMontage
| saveMontageSelection
| deleteMontageSelection
| FourierTransform dir
| Calculates a Fourier transform of the image data. More...
| PowerSpectrum
| Calculates a power spectrum of the image data. More...
| calcPowerSpec w
| Calculates a power spectrum of the image data. More...

## Detailed Description

Procedures for manipulating images in Bshow.

Author
  Bernard Heymann

Date
  Created: 20010516
  Modified: 20191001

Definition in file bshow_image.tcl.

## Function Documentation

## ◆ Bin()

Bin

This invokes a dialog box with binning parameters.

Definition at line 556 of file bshow_image.tcl.

## ◆ binImage()

binImage |  |  | w

This inverts the image.

Definition at line 587 of file bshow_image.tcl.

## ◆ calcPowerSpec()

calcPowerSpec |  |  | w

Calculates a power spectrum of the image data.

Parameters

  w | the window to destroy.

Definition at line 1017 of file bshow_image.tcl.

## ◆ centerOrigin()

centerOrigin

Centers the image origin with wrapping.

Definition at line 233 of file bshow_image.tcl.

## ◆ changeDataType()

changeDataType |  |  | datatype

This chnages the data type.

Definition at line 533 of file bshow_image.tcl.

## ◆ cropImage()

cropImage

Crops an image to a smaller size.

Definition at line 294 of file bshow_image.tcl.

## ◆ deleteMontageSelection()

deleteMontageSelection

Definition at line 905 of file bshow_image.tcl.

## ◆ drawMontageOverlay()

drawMontageOverlay

Definition at line 764 of file bshow_image.tcl.

## ◆ extractImage()

extractImage

Extracts part of an image.

Definition at line 263 of file bshow_image.tcl.

## ◆ Filter()

Filter

This invokes a dialog box with filter parameters.

Definition at line 607 of file bshow_image.tcl.

## ◆ filterImage()

filterImage |  |  | w

This filters the image.

Definition at line 642 of file bshow_image.tcl.

## ◆ fixType()

fixType

Switchs the sign convention for the data type.

Definition at line 143 of file bshow_image.tcl.

## ◆ FourierTransform()

FourierTransform |  |  | dir

Calculates a Fourier transform of the image data.

Definition at line 933 of file bshow_image.tcl.

## ◆ getOriginX()

getOriginX |  |  | c

Gets the x origin in canvas coordinates.

Parameters

  c | Canvas object.

Definition at line 209 of file bshow_image.tcl.

## ◆ getOriginY()

getOriginY |  |  | c

Gets the y origin in canvas coordinates.

Parameters

  c | Canvas object.

Definition at line 221 of file bshow_image.tcl.

## ◆ invertImage()

invertImage

This inverts the image.

Definition at line 546 of file bshow_image.tcl.

## ◆ modifyImage()

modifyImage

Invokes a dialog box with modifyable image parameters.

Definition at line 391 of file bshow_image.tcl.

## ◆ modifyImage_and_DestroyWindow()

modifyImage_and_DestroyWindow |  |  | w

Modifies the image.

Parameters

  w | the window to destroy.

Definition at line 487 of file bshow_image.tcl.

## ◆ Montage()

Montage

This invokes a dialog box with montage parameters.

Definition at line 664 of file bshow_image.tcl.

## ◆ montageImage()

montageImage |  |  | w

Montages the image.

Definition at line 726 of file bshow_image.tcl.

## ◆ montageSelect()

montageSelect |  |  | x y

Definition at line 841 of file bshow_image.tcl.

## ◆ Pad()

Pad

Pads an image to a larger size.

Definition at line 323 of file bshow_image.tcl.

## ◆ padImage()

padImage |  |  | w

Pads the image.

Parameters

  w | the window to destroy.

Definition at line 372 of file bshow_image.tcl.

## ◆ PowerSpectrum()

PowerSpectrum

Calculates a power spectrum of the image data.

Definition at line 949 of file bshow_image.tcl.

## ◆ saveMontage()

saveMontage

Definition at line 872 of file bshow_image.tcl.

## ◆ saveMontageSelection()

saveMontageSelection

Definition at line 886 of file bshow_image.tcl.

## ◆ setImageOrigin()

setImageOrigin |  |  | w t

Sets the image origin.

Parameters

  w | window.
  t | 0=coordinates, 1=center.

Definition at line 188 of file bshow_image.tcl.

## ◆ setImageType()

setImageType

Sets the image type.

Definition at line 107 of file bshow_image.tcl.

## ◆ setOrigin()

setOrigin

Sets the image origin.

Definition at line 153 of file bshow_image.tcl.

## ◆ setupImageMenu()

setupImageMenu

Menu for manipulating image files.

Definition at line 27 of file bshow_image.tcl.

## ◆ switchImage()

switchImage

Switches the images and slices.

Definition at line 97 of file bshow_image.tcl.

## ◆ unsetMontage()

unsetMontage

Definition at line 754 of file bshow_image.tcl.

## ◆ zeroOrigin()

zeroOrigin

Shifts the image origin to zero {0,0,0} with wrapping.

Definition at line 248 of file bshow_image.tcl.